oCoreoCore Docs
API Reference

Disaster Recovery

Export disaster recovery archive

Creates an encrypted disaster recovery archive and streams it as a file download.

POST
/org/disaster-recovery/export

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Export request

passphrasestring
curl -X POST "//api.ocore.dev/api/org/disaster-recovery/export" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "passphrase": "string"
  }'

Encrypted archive

"string"

Get disaster recovery info

Returns disaster recovery status including encryption key status and entity counts.

GET
/org/disaster-recovery/info

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/org/disaster-recovery/info" \
  -H "Authorization: <token>"

OK

{}

Was this page helpful?